OAuth 2.0 / OpenID Connect

OpenID Connect UserInfo

GEThttps://auth.agribus-connect.net/v1/oidc/userinfo

Returns user claims for the authenticated user

Authentication

Requires a Bearer token (JWT)

Parameters

NameInTypeDescription
Authorization *headerstringBearer access token

curl example

curl -X GET 'https://auth.agribus-connect.net/v1/oidc/userinfo' \
  -H 'Authorization: Bearer <access_token>'

Responses

200 — OK · application/json UserInfoResponse

{
  "sub": "string",
  "name": "string",
  "given_name": "string",
  "family_name": "string",
  "email": "string",
  "email_verified": true,
  "username": "string",
  "groups": [
    "string"
  ]
}

Generated from the production OpenAPI documents as of 2026-10-27